# Package smb-edition-js

This package contains all js files loaded by the **smb_edition** module.

## Build the package

> ⚠️ We highly recommend to launch the build with the **smb_edition** build script. The Vue.js application sources will not be on the package otherwise.

In order to build the package, you first need to install all dependencies.

```bash
npm i
```

Then you can launch the build command. The build will be into the `dist` folder.

```bash
npm run build
```

The script will copy all js files into the `dist` folder and minify all files into the destination.

## Dependencies

This package depends on the following packages :

- [Minify](https://www.npmjs.com/package/minify) : A minifier of js, css, html and img files
